#pragma once

#include <string>

#define IPV6TO4PACKA 0
#define IPV6TO4PACKB 0x0000FFFF
#define IPV6TO4PACKC 0
#define IPV6To4LOCAL 0x7F000001

namespace ShadowTec {


class CQIPAddress
{
public:
	CQIPAddress();
	virtual ~CQIPAddress();
	// convert to string
	void toString(std::string& rString) const;
	// convert to string
	bool fromString(std::string& rString);
	// set to ipv4-address
	bool fromIPV4(__int32 packD);
protected:
	// 1st IPv6-long.
	__int32 ippackA = IPV6TO4PACKA;
	// 2nd IPv6-long, defaults to ipv4 transition signature.
	__int32 ippackB = IPV6TO4PACKB;
	// 3rd IPv6-long.
	__int32 ippackC = IPV6TO4PACKC;
	// 4th IPv6-long. In ipv4, this is the address.
	__int32 ippackD = IPV6To4LOCAL;
};


}