#pragma once

#include "QIPAddress.h"

namespace ShadowTec {

	
class CQSocketUDP
{
public:
	CQSocketUDP();
	virtual ~CQSocketUDP();
	volatile bool m_connected;

	void setAddress(std::string strAdress, unsigned int port);
	void setAddress(CQIPAddress const& rAddr, unsigned int port);
	bool connect();
	bool disconnect();
	inline bool isConnected() const { return m_isconnected; };

private:
	int m_nPort;
	volatile bool m_isconnected;
	CQIPAddress m_CurrentAddress;
};


}